Bug 474611 - Review Request: xloadimage - Image viewer and processor
Review Request: xloadimage - Image viewer and processor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 11:56 EST by Tom "spot" Callaway
Modified: 2015-02-04 14:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-11 02:55:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-12-04 11:56:00 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/xloadimage.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/xloadimage-4.1-1.fc11.src.rpm
Description: 
Xloadimage is a utility which will view many different types of images
under X11, load images onto the root window, or dump processed images
into one of several image file formats. The current version can read
many different image file types.

A variety of options are available to modify images prior to viewing.
These options include clipping, dithering, depth reduction, zoom (either
X or Y axis independently or both at once), brightening or darkening,
and image merging. When applicable, these options are done automatically
(eg a color image to be displayed on a monochrome screen will be
dithered automatically).

Rawhide Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=976418
Comment 1 manuel wolfshant 2008-12-04 17:52:06 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: MIT
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 0a8ee9b185702750706f68e4a34e086873f17690 xloadimage.4.1.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
--> see note #1
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [!] Package contains a properly installed %{name}.desktop file if it is a GUI application.
See issue #1
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane:

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64, EL-5/x86_64 + koji scratch builds for all archs
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: all archs supported by koji scratch builds
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.

=== Issues ===
1. Being an X application, the package should include a desktop file. However the power of the tool comes from command line options so a desktop file would not be really useful. I guess we can accept an exception here.

=== Final Notes ===
1. Duplicate BuildRequires: zlib-devel (by libpng-devel)
2. Please consider an EL-5 branch. I have just tested and it builds / works without any modifications of the spec.If you cannot maintain it, I'll be glad to do it.


================
*** APPROVED ***
================
Comment 2 Tom "spot" Callaway 2008-12-10 11:01:13 EST
New Package CVS Request
=======================
Package Name: xloadimage
Short Description: Image viewer and processor
Owners: spot
Branches: EL-5 F-9 F-10 devel
InitialCC:

... and it's done.
Comment 3 Fedora Update System 2008-12-10 11:49:51 EST
xloadimage-4.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xloadimage-4.1-2.fc9
Comment 4 Fedora Update System 2008-12-10 11:49:53 EST
xloadimage-4.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xloadimage-4.1-2.fc10
Comment 5 Fedora Update System 2008-12-11 02:55:14 EST
xloadimage-4.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-12-11 02:57:41 EST
xloadimage-4.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Tom "spot" Callaway 2015-02-04 11:07:44 EST
Package Change Request
======================
Package Name: xloadimage
New Branches: epel7
Owners: spot
Comment 8 Gwyn Ciesla 2015-02-04 14:34:31 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.